<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.sale.deliver.mapper.SaDeliverBarCodeMapper">

    <!-- 批量插入 -->
    <insert id="insertBatch">
        INSERT ALL
        <foreach collection="list" item="item" separator=" ">
            into SA_DELIVER_BAR_CODE (PK_DELIVER, PK_DELIVER_ITEMS, PK_PRODUCT, PK_BAR_CODE_ITEMS, BAR_CODE,
            CREATION_TIME, PK_CREATOR, MODIFIED_TIME, PK_MODIFIED, PK_COUNTRY)
            VALUES (#{item.pkDeliver}, #{item.pkDeliverItems}, #{item.pkProduct}, #{item.pkBarCodeItems}, #{item.barCode},
            #{item.creationTime}, #{item.pkCreator}, #{item.modifiedTime}, #{item.pkModified}, #{item.pkCountry})
        </foreach>
        SELECT 1 FROM dual
    </insert>

</mapper>
